DELUSER(8)

NOMBRE
deluser, delgroup - elimina un usuario o grupo del sistema

SINOPSIS
deluser [opciones] [--remove-home] [--home DIR] [--remove-all-files] [--backup] [--backup-to] usuario

deluser --group [opciones] grupo
delgroup [opciones] [--only-if-empty] grupo

deluser [opciones] usuario grupo

  OPCIONES COMUNES
[--quiet] [--system] [[--help] [--version] [--conf FICHERO]

DESCRIPCIÓN

deluser y delgroup elimina usuarios y grupos del sistema de acuerdo a las opciones en línea de órdenes y a la configuración en /etc/deluser.conf y /etc/adduser.conf. Proporcionan una interfaz más amigable para los programas userdel y groupdel , como opción se puede eliminar el directorio personal o incluso todos los ficheros del sistema pertenecientes al usuario, ejecutar un script personalizado, y otras características. deluser y delgroup pueden ejecutarse de tres maneras:

  Eliminar un usuario normal
Si se invoca con un argumento que no es ninguna opción y sin las opciones --group, deluser eliminará un usuario normal. Por omisión, deluser eliminará el usuario, pero no su directorio personal ni su directorio de correo (n.t. mail spool) o cualquier otro fichero del sistema perteneciente al usuario. El directorio personal y el de correo pueden eliminarse con la opción --remove-home . Si se usa la opción --home , deluser sólo eliminará el usuario si el directorio dado a la opción --home coincide con el directorio personal real del usuario. La opción --remove-all-files elimina todos los ficheros pertenecientes al usuario en el sistema. Dese cuenta que si activa ambas opciones --remove-home no tiene ningún efecto porque --remove-all-files es una opción más general. Si quiere hacer una copia de seguridad de todos los ficheros antes de eliminarlos use la opción --backup que creará un fichero nombreusuario.tar(.gz|.bz2) en el directorio especificado por la opción --backup-to (el directorio de trabajo actual de forma predeterminada). Ambas opciones, la de eliminación y la de copias de seguridad pueden especificarse como predeterminadas en el fichero /etc/deluser.conf. Consulte deluser.conf(5) para más detalles. Si existe el fichero /usr/local/sbin/deluser.local , este se ejecutará después de eliminar la cuenta de usuario de forma que se pueda realizar algún ajuste local. Los argumentos que se pasan a deluser.local son:
nombreusuario uid gid directorio-personal

  Eliminar un grupo
Si se invoca deluser con la opción --group , o se invocadelgroup , se eliminará un grupo. Aviso: Si cualquier usuario tiene como grupo primario al grupo que se va a eliminar, éste no puede ser eliminado. Si se usa la opción --only-if-empty , el grupo no se elimina en caso de que todavía tenga algún miembro.

  Eliminar un usuario de un grupo específico
Si se invoca con dos argumentos que no sean opciones, deluser eliminará el usuario del grupo especificado.

OPCIONES

--conf FICHERO
    Usar FICHERO en vez de /etc/deluser.conf.

--group
    Elimina un grupo. La opción predeterminada si se invoca como delgroup.

--help
    Muestra unas instrucciones breves.

--quiet
    Elimina los mensajes de error.

--system
    Sólo elimina si el usuario/grupo es un usuario/grupo del sistema. Esto evita borrar accidentalmente usuarios/grupos que no sean del sistema. Además, si el usuario no existe, no se devuelve ningún valor de error. Esta opción está principalmente para su uso en los scripts de desarrollador de paquetes de Debian.

--version
    Muestra información acerca de la versión y copyright.

FICHEROS
/etc/deluser.conf

VÉASE TAMBIÉN
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modificaciones (C) 2004 Marc Haber. Esta página del manual y el programa deluser se basan en adduser, el cual es:
Copyright (C) 1997, 1998, 1999 Guy Maor.
Copyright (C) 1995 Ted Hajek, con un gran aportación del adduser original de Debian
Copyright (C) 1994 Ian Murdock. adduser es software libre; lea la Licencia Pública General de GNU versión 2 o posterior para las condiciones de copia. No hay garantía.

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>